# Class DelegatingAttr

java.lang.Object
uk.ac.starlink.votable.dom.DelegatingNode
uk.ac.starlink.votable.dom.DelegatingAttr

All Implemented Interfaces:
  `Attr, Node`

public class DelegatingAttr extends DelegatingNode implements Attr

## Field Summary

### Fields inherited from interface Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DelegatingAttr(Attr base, DelegatingDocument doc)`
Constructor.
`protected`
`DelegatingAttr(Attr base, DelegatingDocument doc, boolean isId)`
Constructs a DelegatingAttr with information about whether it is an ID-type attribute or not.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`Element`
`getOwnerElement()`
`TypeInfo`
`getSchemaTypeInfo()`
`boolean`
`getSpecified()`
`String`
`getValue()`
`boolean`
`isId()`
`void`
`setValue(String value)`

### Methods inherited from class DelegatingNode

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Constructor Details

### DelegatingAttr

protected DelegatingAttr(Attr base, DelegatingDocument doc)
Constructor.

Parameters:
  `base` - base node
  `doc` - owner document

### DelegatingAttr

protected DelegatingAttr(Attr base, DelegatingDocument doc, boolean isId)
Constructs a DelegatingAttr with information about whether it is an ID-type attribute or not. This information is only used at DOM Level 3 (J2SE1.5), when it is used as the result of the `isId()` method.

Parameters:
  `base` - base node
  `doc` - owner document
  `isId` - whether it will be an ID type attribute

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `Attr`

### getSpecified

public boolean getSpecified()

Specified by:
  `getSpecified` in interface `Attr`

### getValue

public String getValue()

Specified by:
  `getValue` in interface `Attr`

### setValue

public void setValue(String value)

Specified by:
  `setValue` in interface `Attr`

### getOwnerElement

public Element getOwnerElement()

Specified by:
  `getOwnerElement` in interface `Attr`

### getSchemaTypeInfo

public TypeInfo getSchemaTypeInfo()

Specified by:
  `getSchemaTypeInfo` in interface `Attr`

### isId

public boolean isId()

Specified by:
  `isId` in interface `Attr`